<?xml version="1.0" encoding="UTF-8"?>
<xs:schema
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  targetNamespace="urn:3gpp:ns:mcpttSignedDoc:1.0"
  xmlns:mcpttsigneddoc="urn:3gpp:ns:mcpttSignedDoc:1.0"
  elementFormDefault="qualified"
  attributeFormDefault="unqualified"
  xmlns:xmldsig="http://www.w3.org/2000/09/xmldsig#">

  <xs:import namespace="http://www.w3.org/2000/09/xmldsig#"/>

  <xs:complexType name="signaturesType">
    <xs:sequence>
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="anyExt" type="mcpttsigneddoc:anyExtType" minOccurs="0"/>
    </xs:sequence>
    <xs:anyAttribute namespace="##any" processContents="lax"/>
  </xs:complexType>

  <!-- root XML element when creating a signed XML document -->
  <xs:element name="signatures" type="mcpttsigneddoc:signaturesType"/>

  <xs:complexType name="anyExtType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
  </xs:complexType>

</xs:schema>
